<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMstStatuses extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('mst_statuses', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('code')->default(0); // ステータスコード(value)
            $table->text('name'); // ステータス名(name)
        });
        DB::statement("ALTER TABLE mst_statuses COMMENT 'マスタ：ステータス'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mst_statuses');
    }
}
